OpenVDB: CheckFinite< GridT, TreeIterT > Struct Template Reference

OpenVDB 9.0.0

Public Types | Public Member Functions | List of all members
CheckFinite< GridT, TreeIterT > Struct Template Reference

Checks for both NaN and inf values, i.e. any value that is not finite. More...

`#include <openvdb/tools/Diagnostics.h>`

## Public Types
using | ElementType = typename VecTraits< typename GridT::ValueType >::ElementType
using | TileIterT = TreeIterT
using | VoxelIterT = typename tree::IterTraits< typename TreeIterT::NodeT, typename TreeIterT::ValueIterT > ::template NodeConverter< typename GridT::TreeType::LeafNodeType >::Type

## Public Member Functions
| CheckFinite ()
| Default constructor. More...
bool | operator() (const ElementType &v) const
| Return true if the value is NOT finite, i.e. it's NaN or infinite. More...
template<typename T >
std::enable_if< VecTraits< T >::IsVec, bool >::type | operator() (const T &v) const
| Return true if any of the vector components are NaN or infinite. More...
bool | operator() (const TreeIterT &iter) const
| Return true if the tile at the iterator location is NaN or infinite. More...
bool | operator() (const VoxelIterT &iter) const
| Return true if the tile at the iterator location is NaN or infinite. More...
std::string | str () const
| Return a string describing a failed check. More...

## Detailed Description

template<typename GridT, typename TreeIterT = typename GridT::ValueOnCIter>
struct openvdb::v9_0::tools::CheckFinite< GridT, TreeIterT >

Checks for both NaN and inf values, i.e. any value that is not finite.

## Member Typedef Documentation

## ◆ ElementType

using ElementType = typename VecTraits<typename GridT::ValueType>::ElementType

## ◆ TileIterT

using TileIterT = TreeIterT

## ◆ VoxelIterT

using VoxelIterT = typename tree::IterTraits<typename TreeIterT::NodeT, typename TreeIterT::ValueIterT> ::template NodeConverter< typename GridT::TreeType::LeafNodeType>::Type

## Constructor & Destructor Documentation

## ◆ CheckFinite()

CheckFinite | ( |  | ) |
| inline

Default constructor.

## Member Function Documentation

## ◆ operator()() [1/4]

bool operator() | ( | const ElementType & | v | ) | const
| inline

Return true if the value is NOT finite, i.e. it's NaN or infinite.

## ◆ operator()() [2/4]

std::enable_if< VecTraits< T >::IsVec, bool >::type operator() | ( | const T & | v | ) | const
| inline

Return true if any of the vector components are NaN or infinite.

## ◆ operator()() [3/4]

bool operator() | ( | const TreeIterT & | iter | ) | const
| inline

Return true if the tile at the iterator location is NaN or infinite.

## ◆ operator()() [4/4]

bool operator() | ( | const VoxelIterT & | iter | ) | const
| inline

Return true if the tile at the iterator location is NaN or infinite.

## ◆ str()

std::string str | ( |  | ) | const
| inline

Return a string describing a failed check.